//  Weather update client
//  Connects SUB socket to tcp://localhost:5556
//  Collects weather updates and finds avg temp in zipcode
#include <zmq.h>
#include <assert.h>
#include <time.h>
#include <stdlib.h>
#include <string.h>
#include <libgen.h>
#include <unistd.h>
#include <sys/stat.h>
#include "utils.h"
#include <time.h>

void start(char *power_path, char *busid, char *chipaddr);

int main (int argc, char *argv [])
{
  if(argc != 2){
    printf("Usage: %s <sysfs-path>",argv[0]);
    exit(1);
  }

  // Extract bus id and ina260 chip address
  char busid[10];
  char chipaddr[10];
  char *base=basename(argv[1]);
  sscanf(base,"%[^-]-%[^-]",busid,chipaddr);

  start("/home/loic/out.txt", busid,chipaddr);

  return 0;
}

void start(char *power_path, char *busid, char *chipaddr){
  if (access(power_path, F_OK) != 0){
    printf("Could not read %s\n",power_path);
    exit(2);
  }
  char outdir[255];  
  mkdir(STRINGIFY(LOGGER_DIR),0755);
  sprintf(outdir,"%s/%s-%s/",STRINGIFY(LOGGER_DIR), busid,chipaddr);
  mkdir(outdir,0755);

  char outfile[255];
  time_t timestamp;
  timestamp = time(NULL);
  sprintf(outfile,"%s/%d",outdir,timestamp);
  printf("aa %s\n",outfile);

  FILE *f;
  f=fopen(outfile, "w");
  fclose(f);

}